[SCM] eclipse-rse - Plug-in for eclipse - Debian package. branch, master, updated. debian/3.4.0-1-11-gf70d6e1
Jakub Adam
jakub.adam at ktknet.cz
Tue May 21 13:23:10 UTC 2013
The following commit has been merged in the master branch:
commit d9d24e368d29584ece931036f62a269dcb69ecc5
Author: Jakub Adam <jakub.adam at ktknet.cz>
Date: Tue May 21 14:01:20 2013 +0200
Add d/get-orig-source
diff --git a/debian/changelog b/debian/changelog
index 29fb701..93a88ed 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+eclipse-rse (3.4.0-2) UNRELEASED; urgency=low
+
+ * Add d/get-orig-source.
+
+ -- Jakub Adam <jakub.adam at ktknet.cz> Tue, 21 May 2013 13:59:00 +0200
+
eclipse-rse (3.4.0-1) experimental; urgency=low
* New upstream release.
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e3b801b
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,44 @@
+#!/bin/bash
+set -e
+
+NAME=eclipse-rse
+VERSION=3.4.2
+DEB_VERSION=${VERSION}
+
+ECLIPSE_GIT_WEB=http://git.eclipse.org/c
+
+rm -rf ${NAME}-${DEB_VERSION}
+
+VERSION_UNDERSCORE=$(echo $VERSION | sed "s/\./_/g")
+REPO_NAME=org.eclipse.tm
+
+UPSTREAM_NAME=${REPO_NAME}-R${VERSION_UNDERSCORE}
+TARBALL=${UPSTREAM_NAME}.tar.bz2
+
+wget "$ECLIPSE_GIT_WEB/tm/$REPO_NAME.git/snapshot/$TARBALL"
+tar xf $TARBALL
+rm -f $TARBALL
+
+mv ${UPSTREAM_NAME} ${NAME}-${DEB_VERSION}
+cd ${NAME}-${DEB_VERSION}
+
+mv rse/{doc,examples,features,plugins,tests}/org.eclipse.* .
+mv terminal/{features,plugins}/org.eclipse.* .
+rm -rf releng rse terminal wince
+
+find -type f -name .gitignore -delete
+find -type f -name .cvsignore -delete
+rm -f pom.xml dstoreTargets-git.xml
+rm -f org.eclipse.rse.ftp-feature/sourceTemplateFeature/feature.xml \
+ org.eclipse.rse.telnet-feature/sourceTemplateFeature/feature.xml
+rm -rf *.source
+
+# remove empty directories
+find . -depth -type d -empty -delete
+
+cd ..
+
+echo "Creating tarball '${NAME}_${DEB_VERSION}.orig.tar.xz'..."
+tar -cJf ../${NAME}_${DEB_VERSION}.orig.tar.xz $NAME-$DEB_VERSION
+
+rm -rf ${NAME}-${DEB_VERSION}
--
eclipse-rse - Plug-in for eclipse - Debian package.
More information about the pkg-java-commits
mailing list